Bug 223751 - irda breaks orinoco
irda breaks orinoco
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-22 01:04 EST by Terry Griffin
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 00:31:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Griffin 2007-01-22 01:04:05 EST
Description of problem:

After applying recent updates my wireless card quit working. It is an
old Prism2-based 802.11b card using orinoco and orinoco_cs. The symptom
was that when I tried to bring up the interface using DHCP I would get
the error "failed; no link present. Check cable?"

Coincident to this I noticed I had a new network interface I'd never
seen before, irda0. Putting two and two together I started unloading
modules associated with the irda0 interface. After unloading the
nsc_ircc module I was able to bring up and pass traffic over the
wireless interface. Unloading the other IRDA modules (irda and crc_ccitt)
was not required.

I booted to the last few FC6 kernels to see when this may have started
but all of the recent kernels demonstrated the same problem. What is new
is that I never had an irda0 interface before. So something I updated
(udev?) is now loading the modules for irda0 during system boot whereas
before they were not getting loaded.


Version-Release number of selected component (if applicable):

kernel-2.6.19-1.2895.fc6, 2.6.18-1.2869.fc6, and 2.6.18-1.2868.fc6.
udev-095-17.fc6


How reproducible:

100%

Steps to Reproduce:
1. Get a laptop with IRDA and add a Prism2-based wireless PCMCIA card.
(My combo is an IBM A20m Thinkpad and an Addron 802.11b card)

2. Boot FC6. Verify that you have network interfaces for both
irda and wireless. Modules loaded should include nsc_ircc, irda,
crc_ccitt, orinoco, orinoco_cs, and hermes.
 
3. Configure the wireless interface. If you use DHCP it will fail
to get an address. If you use a static address then it will configure
fine but it won't pass any traffic.
 
Actual results:

No traffic able to pass over the wireless interface.

Expected results:

Traffic is able to pass over the wireless interface.

Additional info:

Workaround - unload the nsc_ircc module.
Comment 1 Jon Stanley 2008-01-07 20:47:32 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Terry Griffin 2008-01-08 00:20:52 EST
Sorry. You were too slow on this one. I no longer have the hardware setup
necessary to reproduce the problem. Maybe if you had responded in something
less than two years I could have helped you out.

Note You need to log in before you can comment on or make changes to this bug.